SNDFILE-SPECTROGRAM(1)

NAME
sndfile-spectrogram - generate a spectrogram from an input sound file

SYNOPSIS
sndfile-spectrogram [options] <sound file> <img width> <img height> <png name>

DESCRIPTION
sndfile-spectrogram reads a single channel sound file and generates a spectrogram which is written to a PNG file with specified image height and width.

The optional parameters allow the user to specify the dynamic range of the spectrogram plot and/or to disable the drawing of borders, scales, heat map and title. Run "sndfile-spectrogram --help" for more information.

The input file is read using libsndfile (http://www.mega-nerd.com/libsndfile/), the spectrogram is calculated with the help of libfftw and the spectrogram is rendered and written to the output file using libcairo.

AUTHOR
This manual page was written by Erik de Castro Lopo <erikd@mega-nerd.com>.